This variable indicates the attack report mode
Sources for this description
Radware MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.89.35.1.65.1.1.7
This variable indicates the attack report mode
Identification
{1 3 6 1 4 1 89 35 1 65 1 1 7}
| Value | Name |
|---|---|
| 1 | drop |
| 2 | forward |
| 3 | rst-src |
| 4 | rst-dst |
| 5 | rst-bi |
| 6 | default |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition. The index encoding is not inferred here.
Published row index: rsIDSFilterGroupName.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.35.1.65.1.1.7
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
rsIDSReportMode OBJECT-TYPE
SYNTAX INTEGER {
drop(1),
forward(2),
rst-src(3),
rst-dst(4),
rst-bi(5),
default(6)}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"This variable indicates the attack report mode"
::= { rsIDStrackingEntry 7}
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
This variable indicates the attack report mode
Radware MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: rsIDSReportMode
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"rsIDSReportMode",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"drop",
"(",
"1",
")",
",",
"forward",
"(",
"2",
")",
",",
"rst-src",
"(",
"3",
")",
",",
"rst-dst",
"(",
"4",
")",
",",
"rst-bi",
"(",
"5",
")",
",",
"default",
"(",
"6",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"This variable indicates the attack report mode\"",
"::=",
"{",
"rsIDStrackingEntry",
"7",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"drop",
1
],
[
"forward",
2
],
[
"rst-src",
3
],
[
"rst-dst",
4
],
[
"rst-bi",
5
],
[
"default",
6
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"This variable indicates the attack report mode"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Radware support.
Module: IDS-MIB
See published definition above
{'IPV6-TC': ['Ipv6Address'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['MacAddress'], 'SNMPv2-SMI': ['Counter32', 'Counter64'], 'RADWARE-MIB': ['rsIDS', 'rndErrorDesc', 'rndErrorSeverity'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.35.1.65.1.1.1 | rsIDSFilterGroupName | 0 | 0 | The Name for the filter/group must be unique. that name should be the same as the name of the appropriate filter/group |
| 1.3.6.1.4.1.89.35.1.65.1.1.2 | rsIDSTrackingTime | 0 | 0 | This variable indicates the time interval, in miliseconds, to track a detection |
| 1.3.6.1.4.1.89.35.1.65.1.1.3 | rsIDSThreshold | 0 | 0 | This variable indicates the threshold |
| 1.3.6.1.4.1.89.35.1.65.1.1.4 | rsIDSFilterGroupType | 0 | 0 | This variable indicates the object type- whether it is a filter or group |
| 1.3.6.1.4.1.89.35.1.65.1.1.5 | rsIDSTrackingType | 0 | 0 | This variable indicates how to count |
| 1.3.6.1.4.1.89.35.1.65.1.1.6 | rsIDSStatus | 0 | 0 | This variable indicates the administrative status of this entry. Used to delete an entry of this table. |
| 1.3.6.1.4.1.89.35.1.65.1.1.8 | rsIDSPacketReport | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.1.1.9 | rsIDSRisk | 0 | 0 |